IntsRef (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.IntsRef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class IntsRef

    java.lang.Object
      org.apache.lucene.util.IntsRef

All Implemented Interfaces:
  Cloneable, Comparable<IntsRef>

    public final class IntsRef

extends Object
implements Comparable<IntsRef>, Cloneable

Represents int[], as a slice (offset + length) into an existing int[].

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary
`static int[]` | `EMPTY_INTS`
`int[]` | `ints`
`int` | `length`
`int` | `offset`

Constructor Summary
`IntsRef()`
`IntsRef(int capacity)`
`IntsRef(int[] ints, int offset, int length)`

Method Summary
`IntsRef` | `clone()`
`int` | `compareTo(IntsRef other)` Signed int order comparison
`void` | `copyInts(IntsRef other)`
`static IntsRef` | `deepCopyOf(IntsRef other)` Creates a new IntsRef that points to a copy of the ints from `other`
`boolean` | `equals(Object other)`
`void` | `grow(int newLength)` Used to grow the reference array.
`int` | `hashCode()`
`boolean` | `intsEquals(IntsRef other)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_INTS

    public static final int[] EMPTY_INTS

### ints

    public int[] ints

### offset

    public int offset

### length

    public int length

Constructor Detail

### IntsRef

    public IntsRef()

### IntsRef

    public IntsRef(int capacity)

### IntsRef

    public IntsRef(int[] ints,
                   int offset,
                   int length)

Method Detail

### clone

    public IntsRef clone()

  Overrides:
    `clone` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### intsEquals

    public boolean intsEquals(IntsRef other)

### compareTo

    public int compareTo(IntsRef other)

  Signed int order comparison

  Specified by:
    `compareTo` in interface `Comparable<IntsRef>`

### copyInts

    public void copyInts(IntsRef other)

### grow

    public void grow(int newLength)

  Used to grow the reference array. In general this should not be used as it does not take the offset into account.

  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### deepCopyOf

    public static IntsRef deepCopyOf(IntsRef other)

  Creates a new IntsRef that points to a copy of the ints from `other`

  The returned IntsRef will have a length of other.length and an offset of zero.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD